## org.klomp.snark
Interface Snark.CompleteListener

All Known Implementing Classes:
  SnarkManager

Enclosing class:
  Snark

    public static interface Snark.CompleteListener

Method Summary
`BitField` `getSavedTorrentBitField(Snark snark)`
`long` `getSavedTorrentTime(Snark snark)`
`String` `gotMetaInfo(Snark snark)` We transitioned from magnet mode, we have now initialized our metainfo and storage.
`void` `torrentComplete(Snark snark)`
`void` `updateStatus(Snark snark)`

Method Detail

### torrentComplete

    void torrentComplete(Snark snark)

### updateStatus

    void updateStatus(Snark snark)

### gotMetaInfo

    String gotMetaInfo(Snark snark)

  We transitioned from magnet mode, we have now initialized our metainfo and storage. The listener should now call getMetaInfo() and save the data to disk.

  Returns:
    the new name for the torrent or null on error
  Since:
    0.8.4

### getSavedTorrentTime

    long getSavedTorrentTime(Snark snark)

### getSavedTorrentBitField

    BitField getSavedTorrentBitField(Snark snark)